server:
  port: ${pcp.ports.ui:7008}
  shutdown: graceful
  ssl:
    enabled: false

spring:
  lifecycle.timeout-per-shutdown-phase: 40s
  thymeleaf.reactive.max-chunk-size: 8192
  jackson:
    serialization-inclusion: non_null
  boot:
    admin:
      client:
        instance:
          service-base-url: ${pcp.services.ui}
          management-base-url: ${pcp.services.ui}
          health-url: ${pcp.services.ui}/actuator/health
  codec:
    max-in-memory-size: 20MB
  web:
    resources:
      static-locations: classpath:/static/

springdoc:
  swagger-ui:
    enabled: true
    layout: BaseLayout
    path: /swagger/ui
  api-docs:
    enabled: true
    path: /api-docs

settings:
  calculation-interval: 3
  request-service: ${pcp.services.request}
  earth-grid-service: ${pcp.services.request}
  complex-mission-service: ${pcp.services.complex-mission-service}
  dynamic-plan-service: ${pcp.services.dynamic-plan}
  tgu-service: ${pcp.services.tgu}
  satellite-catalog-service: ${pcp.services.satellite-catalog}
  ballistics-service: ${pcp.services.ballistics}
  tle-monitoring-service: ${pcp.services.tle-monitoring}
  stations-service: ${pcp.services.stations}
  slots-service: ${pcp.services.slots}
  mission-service: ${pcp.services.mission}
  coverage-scheme-service: ${pcp.services.coverage-scheme}
